org.apache.tools.ant.taskdefs.optional.net

## Class TelnetTask.TelnetRead

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
  - - org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetRead

Enclosing class:
  TelnetTask

    public class TelnetTask.TelnetRead
    extends TelnetTask.TelnetSubTask

Reads the output from the connected server until the required string is found or we time out.

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask

`taskString`

### Constructor Summary

Constructors
Constructor and Description
`TelnetRead()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(TelnetTask.AntTelnetClient telnet)` Execute the read task.
`void` `setDefaultTimeout(java.lang.Integer defaultTimeout)` Sets the default timeout if none has been set already
`void` `setTimeout(java.lang.Integer i)` a timeout value that overrides any task wide timeout.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask

`addText, setString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelnetRead

    public TelnetRead()

### Method Detail

#### execute

    public void execute(TelnetTask.AntTelnetClient telnet)
                 throws BuildException

Execute the read task.

Overrides:
  `execute` in class `TelnetTask.TelnetSubTask`
Parameters:
  `telnet` - the task to use
Throws:
  `BuildException` - on error

#### setTimeout

    public void setTimeout(java.lang.Integer i)

a timeout value that overrides any task wide timeout.

Parameters:
  `i` - an `Integer` value

#### setDefaultTimeout

    public void setDefaultTimeout(java.lang.Integer defaultTimeout)

Sets the default timeout if none has been set already

Parameters:
  `defaultTimeout` - an `Integer` value